k6 v0.34.1 is a patch release with a few minor bugfixes:

- There was a minor bug in the new [`k6/execution` API](https://k6.io/docs/javascript-api/k6-execution/) added to k6 v0.34.0 - some of its properties weren't usable with the [`externally-controlled` executor](https://k6.io/docs/using-k6/scenarios/executors/externally-controlled/) ([#2132](https://github.com/grafana/k6/pull/2132)).
- goja, the JavaScript runtime that k6 uses, was updated to its latest version ([#2135](https://github.com/grafana/k6/pull/2135)), which fixed a couple of bugs:
  - A newly introduced JS bug from k6 v0.34.0, where [rest parameters](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Functions/rest_parameters) were undefined when the functions also had an internal lambda ([#2131](https://github.com/grafana/k6/issues/2131)). Thanks for reporting, @efdknittlfrank!
  - An old JS bug, first introduced in k6 v0.28.0, which caused `Response.json()` to not have a `length` property when the response was a JSON array, i.e.`response.json().hasOwnProperty('length')` was returning `false` ([#2133](https://github.com/grafana/k6/issues/2133)). Thanks for reporting, @julien-sugg!
